ipv6 - Task #6405

Create a new IPv6 game (working title: IPv6 treasure hunt)
01/26/2019 12:52 PM - Nico Schottelius

Status: Rejected Start date: 01/26/2019
Priority: Normal Due date:
Assignee: Nico Schottelius % Done:
Category: Estimated time: 0.00 hour
Target version:
PM Check date:
Description
Copied from the pad to keep the info:
1. What to do?
e |Pv6 based hacking/sysadmin game
1. Tasks
e Setup a project / code base
o Could be hosted on https://code.ungleich.ch/
o Allow user registration
¢ Allow users to submit a solution
e Create a score board
e Create a small "test framework"
o how we check user tasks
o To be used for measuring uptime
1. Technical discussion
¢ Django?
¢ Djano Rest Framework for everything that does not need to be visual?
1. Scoring system
1. Technical decisions
¢ User should be able to use any DNS service
1. Challenges
task initial points uptime points comments
IPv6 http website 50 1/day (?) easy task, no DNS
IPv6 https website 200 2/day (?) requires DNS
IPv6 smtp server 100 1/day requires DNS, needs to
bounce a mail back to us
IPv6 smtps server 200 x/day supporting starttls
IPv6 https Rest: configure 500 x/day A REST service that
https enables/disables a vhost in the
existing https server
IPv6 https Rest: configure mail [500 x/day A REST service that
configures email aliases
LDAP server 500 x/day
IPv6 Routing 750 x/day Route a sub space of your

network to somewhere else
https://code.ungleich.ch/

History

#1 - 05/01/2019 11:38 PM - Nico Schottelius
- Project changed from ipv6-hacking to ipv6

#2 - 01/02/2024 02:18 PM - Nico Schottelius

- Status changed from New to Rejected

03/20/2024

22


http://www.tcpdf.org

